/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.sapics.client.eof.model.EOExercice;
import org.cocktail.sapics.client.eof.model.EOLot;
import org.cocktail.sapics.client.eof.model.EOMarche;
import org.cocktail.sapics.client.eof.model.EOPassationMarche;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class MarchesView extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5846093300868432663L;

	protected EODisplayGroup eodMarches, eodLots;

	protected ZEOTable myEOTableMarches, myEOTableLots;
	protected ZEOTableModel myTableModelMarches, myTableModelLots ;
	protected TableSorter myTableSorterMarches, myTableSorterLots;

	/** Creates new form TemplateJPanel */
	public MarchesView(EODisplayGroup dgMarches, EODisplayGroup dgLots) {

		eodMarches = dgMarches;
		eodLots = dgLots;

		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        btnRechercher = new javax.swing.JButton();
        viewTableMarches = new javax.swing.JPanel();
        exercices = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();
        tfFiltreLot = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        tfTitreNuits1 = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfFiltreCn = new javax.swing.JTextField();
        typesMarche = new javax.swing.JComboBox();
        validite = new javax.swing.JComboBox();
        onglets = new javax.swing.JTabbedPane();
        btnAddMarche = new javax.swing.JButton();
        btnUpdateMarche = new javax.swing.JButton();
        btnAnnulerMarche = new javax.swing.JButton();
        viewTableLots = new javax.swing.JPanel();
        tfTitreNuits2 = new javax.swing.JTextField();
        btnAnnulerLot = new javax.swing.JButton();
        btnUpdateLot = new javax.swing.JButton();
        btnAddLot = new javax.swing.JButton();
        btnSupprimerLot = new javax.swing.JButton();
        tfFiltreMarche = new javax.swing.JTextField();
        btnPrintMarche = new javax.swing.JButton();
        btnDelMarche = new javax.swing.JButton();

        btnRechercher.setText("Rechercher");
        btnRechercher.setToolTipText("Recherche de marchés");

        viewTableMarches.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableMarches.setLayout(new java.awt.BorderLayout());

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] {"Item 1", "Item 2", "Item 3", "Item 4"}));

        jLabel1.setText("Marché : ");

        tfFiltreLot.setToolTipText("Filtre sur les lots");

        jLabel2.setText("Lot : ");

        tfTitreNuits1.setBackground(CocktailConstantes.COLOR_LABEL_NUIT);
        tfTitreNuits1.setEditable(false);
        tfTitreNuits1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreNuits1.setText("MARCHES");
        tfTitreNuits1.setFocusable(false);

        jLabel3.setText("C.N.");

        tfFiltreCn.setToolTipText("Filtre sur un code nomenclature");

        typesMarche.setModel(new javax.swing.DefaultComboBoxModel(new String[] {"Item 1", "Item 2", "Item 3", "Item 4"}));

        validite.setModel(new javax.swing.DefaultComboBoxModel(new String[] {"Item 1", "Item 2", "Item 3", "Item 4"}));

        btnAddMarche.setToolTipText("Ajout d'un nouveau marché");
        btnAddMarche.setBorderPainted(false);
        btnAddMarche.setFocusPainted(false);
        btnAddMarche.setFocusable(false);

        btnUpdateMarche.setToolTipText("Modification du marché sélectionné");
        btnUpdateMarche.setBorderPainted(false);
        btnUpdateMarche.setFocusPainted(false);
        btnUpdateMarche.setFocusable(false);

        btnAnnulerMarche.setToolTipText("Suppression du marché sélectionné");
        btnAnnulerMarche.setBorderPainted(false);
        btnAnnulerMarche.setFocusPainted(false);
        btnAnnulerMarche.setFocusable(false);

        viewTableLots.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableLots.setLayout(new java.awt.BorderLayout());

        tfTitreNuits2.setBackground(CocktailConstantes.COLOR_LABEL_NUIT);
        tfTitreNuits2.setEditable(false);
        tfTitreNuits2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreNuits2.setText("LOTS");
        tfTitreNuits2.setFocusable(false);

        btnAnnulerLot.setToolTipText("Annulation du lot sélectionné");
        btnAnnulerLot.setBorderPainted(false);
        btnAnnulerLot.setFocusPainted(false);
        btnAnnulerLot.setFocusable(false);

        btnUpdateLot.setToolTipText("Modification du lot sélectionné");
        btnUpdateLot.setBorderPainted(false);
        btnUpdateLot.setFocusPainted(false);
        btnUpdateLot.setFocusable(false);

        btnAddLot.setToolTipText("Ajout d'un nouveau lot");
        btnAddLot.setBorderPainted(false);
        btnAddLot.setFocusPainted(false);
        btnAddLot.setFocusable(false);

        btnSupprimerLot.setToolTipText("Suppression du lot sélectionné");
        btnSupprimerLot.setBorderPainted(false);
        btnSupprimerLot.setFocusPainted(false);
        btnSupprimerLot.setFocusable(false);

        tfFiltreMarche.setToolTipText("Filtre sur le nom ou l'index d'un marché");
        tfFiltreMarche.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreMarcheActionPerformed(evt);
            }
        });

        btnPrintMarche.setToolTipText("Impression du marché sélectionne");
        btnPrintMarche.setBorderPainted(false);
        btnPrintMarche.setFocusPainted(false);
        btnPrintMarche.setFocusable(false);

        btnDelMarche.setToolTipText("Suppression du marché sélectionné");
        btnDelMarche.setBorderPainted(false);
        btnDelMarche.setFocusPainted(false);
        btnDelMarche.setFocusable(false);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(27, 27, 27)
                        .add(typesMarche, 0, 112, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel2)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel3)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreCn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(validite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(31, 31, 31)
                        .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(viewTableMarches, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 860, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnPrintMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(btnAddMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnUpdateMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnAnnulerMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(btnDelMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTitreNuits1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 917, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, onglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 897, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, tfTitreNuits2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 897, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(viewTableLots, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 864, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnAddLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnUpdateLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnAnnulerLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnSupprimerLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(2, 2, 2)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitreNuits1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(typesMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(tfFiltreLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfFiltreCn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(validite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(tfFiltreMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAnnulerMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 13, Short.MAX_VALUE)
                        .add(btnPrintMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableMarches, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 176, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfTitreNuits2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAnnulerLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableLots, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 130, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(onglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 269, Short.MAX_VALUE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void tfFiltreMarcheActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreMarcheActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_tfFiltreMarcheActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddLot;
    private javax.swing.JButton btnAddMarche;
    private javax.swing.JButton btnAnnulerLot;
    private javax.swing.JButton btnAnnulerMarche;
    private javax.swing.JButton btnDelMarche;
    private javax.swing.JButton btnPrintMarche;
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton btnSupprimerLot;
    private javax.swing.JButton btnUpdateLot;
    private javax.swing.JButton btnUpdateMarche;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    protected javax.swing.JTabbedPane onglets;
    private javax.swing.JTextField tfFiltreCn;
    private javax.swing.JTextField tfFiltreLot;
    private javax.swing.JTextField tfFiltreMarche;
    private javax.swing.JTextField tfTitreNuits1;
    private javax.swing.JTextField tfTitreNuits2;
    private javax.swing.JComboBox typesMarche;
    private javax.swing.JComboBox validite;
    protected javax.swing.JPanel viewTableLots;
    protected javax.swing.JPanel viewTableMarches;
    // End of variables declaration//GEN-END:variables

	private void initGui() {

		btnRechercher.setIcon(CocktailConstantes.ICON_LOUPE_16);

		btnAddMarche.setIcon(CocktailConstantes.ICON_ADD_22);
		btnUpdateMarche.setIcon(CocktailConstantes.ICON_UPDATE_22);
		btnAnnulerMarche.setIcon(CocktailConstantes.ICON_CANCEL);
		btnDelMarche.setIcon(CocktailConstantes.ICON_DELETE_22);

		btnPrintMarche.setIcon(CocktailConstantes.ICON_PRINTER_22);

		btnAddLot.setIcon(CocktailConstantes.ICON_ADD_22);
		btnUpdateLot.setIcon(CocktailConstantes.ICON_UPDATE_22);
		btnSupprimerLot.setIcon(CocktailConstantes.ICON_DELETE_22);
		btnAnnulerLot.setIcon(CocktailConstantes.ICON_CANCEL);

		typesMarche.removeAllItems();
		typesMarche.addItem("EXTERNE");
		typesMarche.addItem("INTERNE");

		validite.removeAllItems();
		validite.addItem("VALIDE");
		validite.addItem("INVALIDE");

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodMarches, EOMarche.EXERCICE_KEY + "." + EOExercice.EXE_EXERCICE_KEY, "Exer", 25);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodMarches, EOMarche.MAR_INDEX_KEY, "Index", 25);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodMarches, EOMarche.MAR_REF_EXTERNE_KEY, "Réf", 25);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodMarches, EOMarche.MAR_LIBELLE_KEY, "Libellé Marché", 300);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodMarches, EOMarche.MAR_DEBUT_KEY, "Début", 60);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat) new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodMarches, EOMarche.MAR_FIN_KEY, "Fin", 60);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat) new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodMarches, EOMarche.PASSATIONMARCHE_KEY + "." + EOPassationMarche.PAS_LIBELLE_KEY, "Mode prestation", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelMarches = new ZEOTableModel(eodMarches, myCols);
		myTableSorterMarches = new TableSorter(myTableModelMarches);

		myEOTableMarches = new ZEOTable(myTableSorterMarches);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterMarches.setTableHeader(myEOTableMarches.getTableHeader());		

		myEOTableMarches.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableMarches.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableMarches.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableMarches.setLayout(new BorderLayout());
		viewTableMarches.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableMarches.removeAll();
		viewTableMarches.add(new JScrollPane(myEOTableMarches), BorderLayout.CENTER);

		myCols = new Vector<ZEOTableModelColumn>();
		col = new ZEOTableModelColumn(eodLots, EOLot.LOT_INDEX_KEY, "Index", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodLots, EOLot.LOT_LIBELLE_KEY, "Libellé Lot", 400);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		
		col = new ZEOTableModelColumn(eodLots, EOLot.LOT_HT_KEY, "Montant HT", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodLots, EOLot.LOT_DEBUT_KEY, "Début", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);

		col = new ZEOTableModelColumn(eodLots, EOLot.LOT_FIN_KEY, "Fin", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		
		col = new ZEOTableModelColumn(eodLots, EOLot.LOT_CATALOGUE_KEY, "Catal", 60);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodLots, EOLot.LOT_VALIDE_KEY, "Val", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		myTableModelLots = new ZEOTableModel(eodLots, myCols);
		myTableSorterLots = new TableSorter(myTableModelLots);

		myEOTableLots = new ZEOTable(myTableSorterLots);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterLots.setTableHeader(myEOTableLots.getTableHeader());		

		myEOTableLots.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableLots.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableLots.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableLots.setLayout(new BorderLayout());
		viewTableLots.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableLots.removeAll();
		viewTableLots.add(new JScrollPane(myEOTableLots), BorderLayout.CENTER);

	}

	public void setListeExercices(NSArray liste) {
		exercices.removeAllItems();
		for (int i = 0; i < liste.count(); i++) {
			exercices.addItem(liste.objectAtIndex(i));
		}
	}

	public ZEOTable getMyEOTableMarches() {
		return myEOTableMarches;
	}

	public void setMyEOTableMarches(ZEOTable myEOTableMarches) {
		this.myEOTableMarches = myEOTableMarches;
	}

	public ZEOTable getMyEOTableLots() {
		return myEOTableLots;
	}

	public void setMyEOTableLots(ZEOTable myEOTableLots) {
		this.myEOTableLots = myEOTableLots;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}

	public javax.swing.JTextField getTfFiltreLot() {
		return tfFiltreLot;
	}

	public void setTfFiltreLot(javax.swing.JTextField tfFiltreLot) {
		this.tfFiltreLot = tfFiltreLot;
	}

	public javax.swing.JTextField getTfFiltreMarche() {
		return tfFiltreMarche;
	}

	public void setTfFiltreMarche(javax.swing.JTextField tfFiltreMarche) {
		this.tfFiltreMarche = tfFiltreMarche;
	}

	public javax.swing.JTabbedPane getOnglets() {
		return onglets;
	}

	public void setOnglets(javax.swing.JTabbedPane onglets) {
		this.onglets = onglets;
	}

	public javax.swing.JTextField getTfFiltreCn() {
		return tfFiltreCn;
	}

	public void setTfFiltreCn(javax.swing.JTextField tfFiltreCn) {
		this.tfFiltreCn = tfFiltreCn;
	}

	public javax.swing.JComboBox getTypesMarche() {
		return typesMarche;
	}

	public void setTypesMarche(javax.swing.JComboBox typesMarche) {
		this.typesMarche = typesMarche;
	}

	public javax.swing.JComboBox getValidite() {
		return validite;
	}

	public void setValidite(javax.swing.JComboBox validite) {
		this.validite = validite;
	}

	public javax.swing.JPanel getViewTableLots() {
		return viewTableLots;
	}

	public void setViewTableLots(javax.swing.JPanel viewTableLots) {
		this.viewTableLots = viewTableLots;
	}

	public javax.swing.JButton getBtnAddLot() {
		return btnAddLot;
	}

	public void setBtnAddLot(javax.swing.JButton btnAddLot) {
		this.btnAddLot = btnAddLot;
	}

	public javax.swing.JButton getBtnAddMarche() {
		return btnAddMarche;
	}

	public void setBtnAddMarche(javax.swing.JButton btnAddMarche) {
		this.btnAddMarche = btnAddMarche;
	}

	public javax.swing.JButton getBtnAnnulerLot() {
		return btnAnnulerLot;
	}

	public void setBtnAnnulerLot(javax.swing.JButton btnAnnulerLot) {
		this.btnAnnulerLot = btnAnnulerLot;
	}

	public javax.swing.JButton getBtnSupprimerLot() {
		return btnSupprimerLot;
	}

	public void setBtnSupprimerLot(javax.swing.JButton btnSupprimerLot) {
		this.btnSupprimerLot = btnSupprimerLot;
	}

	public javax.swing.JButton getBtnAnnulerMarche() {
		return btnAnnulerMarche;
	}

	public void setBtnAnnulerMarche(javax.swing.JButton btnAnnulerMarche) {
		this.btnAnnulerMarche = btnAnnulerMarche;
	}

	public javax.swing.JButton getBtnDelMarche() {
		return btnDelMarche;
	}

	public void setBtnDelMarche(javax.swing.JButton btnDelMarche) {
		this.btnDelMarche = btnDelMarche;
	}

	public javax.swing.JButton getBtnUpdateLot() {
		return btnUpdateLot;
	}

	public void setBtnUpdateLot(javax.swing.JButton btnUpdateLot) {
		this.btnUpdateLot = btnUpdateLot;
	}

	public javax.swing.JButton getBtnPrintMarche() {
		return btnPrintMarche;
	}

	public void setBtnPrintMarche(javax.swing.JButton btnPrintMarche) {
		this.btnPrintMarche = btnPrintMarche;
	}

	public javax.swing.JButton getBtnUpdateMarche() {
		return btnUpdateMarche;
	}

	public void setBtnUpdateMarche(javax.swing.JButton btnUpdateMarche) {
		this.btnUpdateMarche = btnUpdateMarche;
	}
}
